/*
 * OMNetRandomSourceWrapper.h
 *
 *  Created on: Aug 16, 2010
 *      Author: alexandra
 */
#include <RandomSourceWrapper.h>
#include <omnetpp.h>

#ifndef OMNETRANDOMSOURCEWRAPPER_H_
#define OMNETRANDOMSOURCEWRAPPER_H_

class OMNetRandomSourceWrapper : public RandomSourceWrapper
{
public:
  SIM_API double uni();
  int rng;
  OMNetRandomSourceWrapper(int rng);
  virtual ~OMNetRandomSourceWrapper();
};

#endif /* OMNETRANDOMSOURCEWRAPPER_H_ */
